<?php $permis = Person::model()->getPermis(4); ?>
<div class='box-body'>
    <div class='table-responsive'>
        <table class='table table-bordered table-striped table-hover th-bg'>
            <thead>
                <tr>
                    <th width='120' class="text-center">รหัส</th>
                    <th>ชื่อ-สกุล</th>
                    <th width='150'>แผนก</th>
                    <th width='120'>username</th>
                    <th width='150'>กลุ่มผู้ใช้งาน</th>
                    <th width="100" class='text-center'></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $models = $grids['models'];
                $irow = 0;
                foreach ($models as $r) {
                    $irow++;
                    $fullname = $r['title'] . $r['firstname'] . ' ' . $r['surname'];
                    $statusClass = ($r['status'] == '0') ? '' : 'class="text-danger"';
                    echo "<tr $statusClass>";
                    echo "<td class='text-center'>" . $r['code'] . "</td>";
                    echo "<td>$fullname</td>";
                    echo "<td>" . $r['depart_name'] . "</td>";
                    echo "<td>" . $r['username'] . "</td>";
                    echo "<td>" . $r['group_name'] . "</td>";
                    echo "<td class='nowrap'>";
                    if ($permis->ck_save) {
                        echo CHtml::link('<i class="fa fa-pencil"></i> แก้ไข', array("person/update", "id" => $r['id']), array('class' => 'btn btn-xs btn-default')) . "&nbsp;";
                    }

                    if ($permis->ck_del) {
                        echo '<a href="#" onclick="return del(\'' . $r['id'] . '\')" class="btn btn-xs btn-danger"><i class="fa fa-trash-o"></i> ลบ</a>';
                    }
                    echo "</td>";
                    echo "</tr>";
                }
                if ($irow == 0) {
                    echo "<tr><td colspan='6' class='text-center'>*** ไม่พบข้อมูลที่ค้นหา ***</td></tr>";
                }
                ?>
            </tbody>
        </table>
    </div>
</div>  <!-- end box-body -->

<div class="box-footer">
    <div class="pull-left">
        <?php
        $this->widget('CLinkPager', array(
            'htmlOptions' => array(
                'class' => 'pagination pagination-sm no-margin',
            ),
            'pages' => $grids['pages'],
            'header' => '',
            'firstPageLabel' => '<<',
            'prevPageLabel' => "<",
            'nextPageLabel' => '>',
            'lastPageLabel' => '>>',
        ));
        ?>
    </div>
    <div class='pull-right'>
        ค้นเจอทั้งหมด <strong><?php echo number_format($grids['count']); ?></strong> รายการ
    </div>
    <div class="clearfix"></div>
</div><!-- end box-footer -->

<script>
    $(function () {
        $(".pagination").on("click", 'a', function (event) {
            event.preventDefault();
            var url = $(this).attr("href");
            if (url != undefined) {
                loadContent(url);
            }
            return true;
        });
    });
</script>
